<template>

<div class="flex2" v-if="article"> 
            
    <h1>{{ article.titre }}</h1>

    <div class="flex">
        <p> Date: {{ article.date_article }}</p>
        <p> Nombre de vue : {{ article.vue }}</p>

        <!-- afficher la categorie d'article -->
        <div > 
            <router-link to='/' active-class="active">
            <a class="waves-effect waves-light btn" v-if="article.id_categorie == 1 ">
                Categorie: Plat
            </a>
            </router-link>

            <router-link to='/' active-class="active">
            <a class="waves-effect waves-light btn" v-if="article.id_categorie == 2 ">
                Categorie: Dessert
            </a>
            </router-link>

            <router-link to='/' active-class="active">
            <a class="waves-effect waves-light btn" v-if="article.id_categorie == 3 ">
                Categorie: Dessert
            </a>
            </router-link>

            <router-link to='/' active-class="active">
            <a class="waves-effect waves-light btn" v-if="article.id_categorie == 4 ">
                Categorie: Dessert
            </a>
            </router-link>

            <router-link to='/' active-class="active">
                <a class="waves-effect waves-light btn" v-if="article.id_categorie == 5 ">
                    Categorie: Dessert
                </a>
            </router-link>
        </div>        
    </div>

    <div>
        <img :src="article.photo" alt="">   
        <p>{{ article.text  }}</p>
    </div>
    
</div>


</template>

<script setup lang="ts">

import type { Article } from '@/entities';
import { fetchOneArticles } from '@/service/article-service';
import { onMounted, ref } from 'vue';
import { useRoute } from 'vue-router';

const route = useRoute();

const article = ref<Article>();

onMounted(async()=>{
    article.value = await fetchOneArticles(route.params.id);
})

</script>

<style>

h1{
    font-size: 3rem;
}

img{
    width: 50%;
}

.flex{
    display: flex;
    gap: 30px;
}

.flex2{
    margin-left:10%;
}
</style>